import { DATASET } from '../core/preprocess';
export declare const bk_utils: {
    /**
     * This is a utility function used to read files (`.json` files).
     * This is used to load training data from `.json` files.
     * @param datasetPath `string` Path to `.json` file.
     * @returns `JSON` returns data in JSON format.
     */
    read: (datasetPath: string) => any[] | undefined;
    /**
     * This is a utility function used to save a model along with other necessary data.
     * @param model `MODEL` The model object return by `loadModel` function.
     * @param dataObj `DATASET` The dataset object return by `preprocess` function.
     */
    save: (model: any, dataObj: DATASET) => Promise<void>;
};
